Submit hold requirement
Submits a file to fulfill a hold requirement. Only clinics can submit hold requirements. Supports resubmission after rejection. Sends a notification to the lab for review.
Submits a file to fulfill a hold requirement. Only clinics can submit hold requirements. Supports resubmission after rejection. Sends a notification to the lab for review.
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Path Parameters
Order ID
Hold requirement ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/orders/550e8400-e29b-41d4-a716-446655440000/hold-requirements/7c9e6679-7425-40de-944b-e07fc1f90ae7/submit" \ -H "Content-Type: application/json" \ -d '{ "fileId": "string" }'{ "success": true}Submit an existing order draft POST
Atomically validates and promotes the caller-owned draft in place. Replays return the same order when submitted_at proves a prior successful submission.
Subscribe to order POST
Subscribes the authenticated user to receive notifications for a specific order. The user must belong to an organization (lab or clinic) that has access to the order.